Package org.tanukisoftware.wrapper.event

# Class WrapperConsumableEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent
org.tanukisoftware.wrapper.event.WrapperConsumableEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `WrapperControlEvent`

public abstract class WrapperConsumableEvent extends WrapperEvent
WrapperConsumableEvent is used to keep trace whether the event has been handled or not.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WrapperConsumableEvent()`
Creates a new WrapperConsumableEvent.

## Method Summary

Modifier and Type
Method
Description
`void`
`consume()`
Mark the event as consumed.
`boolean`
`isConsumed()`
Returns true if the event has been consumed.

### Methods inherited from class org.tanukisoftware.wrapper.event.WrapperEvent

`getFlags`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperConsumableEvent

public WrapperConsumableEvent()
Creates a new WrapperConsumableEvent.

## Method Details

### consume

public void consume()
Mark the event as consumed. This should be done if the event has been handled.

On Windows, some events are sent both to the JVM and Wrapper processes. Even if the CTRL-C event is ignored within the JVM, the Wrapper process may still initiate a shutdown.

### isConsumed

public boolean isConsumed()
Returns true if the event has been consumed.

Returns:
  True if the event has been consumed.